﻿//
//	File: funcVol.js
//	By: Henrik Virking, 2006-06-02
//
//	This file is a part of the radioTuner widget.
//	 
//	This file controls the behaviour of the volume control.
//	

//DISPLAY VOLUME
 function displayVol() {
	Volume_background.visible = true;
	Speaker.visible = true;
	Minus.visible = true;
	Plus.visible =true;
}

//HIDE VOLUME
 function hideVol() {
	Volume_background.visible = false;
	Speaker.visible = false;
	Minus.visible = false;
	Plus.visible =false;
	muteImage.visible = false;
	Volume_background.zOrder = "11";
	Vol1.visible = 0;
	Vol2.visible = 0;
	Vol3.visible = 0;
	Vol4.visible = 0;
	Vol5.visible = 0;
	Vol6.visible = 0;
	Vol7.visible = 0;
	Vol8.visible = 0;
	Vol9.visible = 0;
	Vol10.visible = 0;
}

//CHANGE VOLUME
function changeVol(volFunc) {
	switch(volFunc) {
		case "startup":
			break;
		case "increase":
			if (preferences.volumePref.value <100) {
			preferences.volumePref.value = parseInt(preferences.volumePref.value) + 10;
			savePreferences();
			}
			break;
		case "decrease":
			if (preferences.volumePref.value >0) {
			preferences.volumePref.value = parseInt(preferences.volumePref.value) - 10;
			savePreferences();
			}
			break;
	}
	changePlayerVol(eval(preferences.radioStationPref.value + "[3]"));
	muteImage.visible = false;
	Volume_background.zOrder = "11";
	switch(parseInt(preferences.volumePref.value)) {
		case 0:
			Vol1.visible = 0;
			Vol2.visible = 0;
			Vol3.visible = 0;
			Vol4.visible = 0;
			Vol5.visible = 0;
			Vol6.visible = 0;
			Vol7.visible = 0;
			Vol8.visible = 0;
			Vol9.visible = 0;
			Vol10.visible = 0;
			break;
		case 10:
			Vol1.visible = 1;
			Vol2.visible = 0;
			Vol3.visible = 0;
			Vol4.visible = 0;
			Vol5.visible = 0;
			Vol6.visible = 0;
			Vol7.visible = 0;
			Vol8.visible = 0;
			Vol9.visible = 0;
			Vol10.visible = 0;
			break;
		case 20:
			Vol1.visible = 1;
			Vol2.visible = 1;
			Vol3.visible = 0;
			Vol4.visible = 0;
			Vol5.visible = 0;
			Vol6.visible = 0;
			Vol7.visible = 0;
			Vol8.visible = 0;
			Vol9.visible = 0;
			Vol10.visible = 0;
			break;
		case 30:
			Vol1.visible = 1;
			Vol2.visible = 1;
			Vol3.visible = 1;
			Vol4.visible = 0;
			Vol5.visible = 0;
			Vol6.visible = 0;
			Vol7.visible = 0;
			Vol8.visible = 0;
			Vol9.visible = 0;
			Vol10.visible = 0;
			break;
		case 40:
			Vol1.visible = 1;
			Vol2.visible = 1;
			Vol3.visible = 1;
			Vol4.visible = 1;
			Vol5.visible = 0;
			Vol6.visible = 0;
			Vol7.visible = 0;
			Vol8.visible = 0;
			Vol9.visible = 0;
			Vol10.visible = 0;
			break;
		case 50:
			Vol1.visible = 1;
			Vol2.visible = 1;
			Vol3.visible = 1;
			Vol4.visible = 1;
			Vol5.visible = 1;
			Vol6.visible = 0;
			Vol7.visible = 0;
			Vol8.visible = 0;
			Vol9.visible = 0;
			Vol10.visible = 0;
			break;
		case 60:
			Vol1.visible = 1;
			Vol2.visible = 1;
			Vol3.visible = 1;
			Vol4.visible = 1;
			Vol5.visible = 1;
			Vol6.visible = 1;
			Vol7.visible = 0;
			Vol8.visible = 0;
			Vol9.visible = 0;
			Vol10.visible = 0;
			break;
		case 70:
			Vol1.visible = 1;
			Vol2.visible = 1;
			Vol3.visible = 1;
			Vol4.visible = 1;
			Vol5.visible = 1;
			Vol6.visible = 1;
			Vol7.visible = 1;
			Vol8.visible = 0;
			Vol9.visible = 0;
			Vol10.visible = 0;
			break;
		case 80:
			Vol1.visible = 1;
			Vol2.visible = 1;
			Vol3.visible = 1;
			Vol4.visible = 1;
			Vol5.visible = 1;
			Vol6.visible = 1;
			Vol7.visible = 1;
			Vol8.visible = 1;
			Vol9.visible = 0;
			Vol10.visible = 0;
			break;
		case 90:
			Vol1.visible = 1;
			Vol2.visible = 1;
			Vol3.visible = 1;
			Vol4.visible = 1;
			Vol5.visible = 1;
			Vol6.visible = 1;
			Vol7.visible = 1;
			Vol8.visible = 1;
			Vol9.visible = 1;
			Vol10.visible = 0;
			break;
		case 100:
			Vol1.visible = 1;
			Vol2.visible = 1;
			Vol3.visible = 1;
			Vol4.visible = 1;
			Vol5.visible = 1;
			Vol6.visible = 1;
			Vol7.visible = 1;
			Vol8.visible = 1;
			Vol9.visible = 1;
			Vol10.visible = 1;
			break;
		}
	}
//CHANGE PLAYER VOLUME
	function changePlayerVol(volFormat) {
		switch(volFormat){
			case "wm":
				PlayerWM.settings.volume = preferences.volumePref.value;
				break;
			case "ra":
				PlayerRA.SetVolume(parseInt(preferences.volumePref.value));
				break;
		}
	}
//MUTE PLAYER
	function mutePlayer(muteFormat) {
		switch(muteFormat){
			case "startMute":
				break;
			case "wm":
				if (PlayerWM.settings.mute == false)
				{	
					PlayerWM.settings.mute = true;
					muteImage.visible = true;
					Volume_background.zOrder = "13";
					savePreferences();
				}
				else
				{
					PlayerWM.settings.mute = false;
					muteImage.visible = false;
					Volume_background.zOrder = "11";
					savePreferences();
				}
				break;
			case "ra":
				if (PlayerRA.GetMute() == false)
				{	
					PlayerRA.SetMute(true);
					muteImage.visible = true;
					Volume_background.zOrder = "13";
					savePreferences();
				}
				else
				{
					PlayerRA.SetMute(false);
					muteImage.visible = false;
					Volume_background.zOrder = "11";
					savePreferences();
				}
				break;
		}
	}